class SyncGithub
  def self.run!
    if ENV["REPO_FULL_NAME"].present?
      ENV["REPO_FULL_NAME"].split(",").each do |repo_full_name|
        RepoFullNameConfig.find_or_create_by(full_name: repo_full_name)
      end
    end

    RepoFullNameConfig.all.each do |config|
      repo_full_name = config.full_name
      puts "👉 Sync repo #{repo_full_name} of #{ RepoFullNameConfig.all.map{|c| c.full_name }.join(', ') }"
      FetchRepo.new(repo_full_name).run 

      puts "👇 Sync #{repo_full_name} Issues"
      FetchIssues.new(repo_full_name).run

      puts "👇 Sync #{repo_full_name} PullRequests"
      FetchPullRequests.new(repo_full_name).run

      puts "👇 Sync #{repo_full_name} Forks"
      FetchForks.new(repo_full_name).run

      puts "👇 Sync #{repo_full_name} Stars"
      FetchStars.new(repo_full_name).run

      puts "👇 Sync #{repo_full_name} user_id attribute"
      FillUser.run

      puts "Done"
    end
  end
end